Gecode::Search::BabBuilder< T > Class Template Reference

A BAB engine builder. More...

`#include <bab.hpp>`

## Public Member Functions

| BabBuilder (const Options &opt)
| The constructor.
virtual Engine * | operator() (Space *s) const
| The actual build function.
Public Member Functions inherited from Gecode::Search::Builder
| Builder (const Options &opt, bool best)
| Initialize with options opt and best solution search support.
Options & | options (void)
| Provide access to options.
const Options & | options (void) const
| Provide access to options.
bool | best (void) const
| Whether engine is a best solution search engine.
virtual | ~Builder (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Attributes inherited from Gecode::Search::Builder
Options | opt
| Stored and already expanded options.
const bool | b
| Whether engine to be built is a best solution search engine.

## Detailed Description

template<class T>
class Gecode::Search::BabBuilder< T >

A BAB engine builder.

Definition at line 46 of file bab.hpp.

## Constructor & Destructor Documentation

## BabBuilder()

template<class T>

Gecode::Search::BabBuilder< T >::BabBuilder | ( | const Options & | opt | ) |

inline

The constructor.

Definition at line 57 of file bab.hpp.

## Member Function Documentation

## operator()()

template<class T>

Engine * Gecode::Search::BabBuilder< T >::operator() | ( | Space * | s | ) | const

virtual

The actual build function.

Implements Gecode::Search::Builder.

Definition at line 62 of file bab.hpp.

The documentation for this class was generated from the following file:

- gecode/search/bab.hpp